import React from 'react';
import TiltedCard from '../components/reactbits/Components/TiltedCard/TiltedCard';

// Simple Media Carousel component
const MediaCarousel = ({ media, userProfile }) => {
  if (!media || media.length === 0) {
    return <div className="text-campfire-ash text-center">Нет контента для отображения.</div>;
  }

  return (
    // Use flexbox for horizontal layout and overflow-x-auto for scrolling
    // Add padding-bottom to prevent scrollbar from covering content
    <div className="flex overflow-x-auto space-x-8 pb-4 scrollbar-thin scrollbar-thumb-campfire-amber scrollbar-track-campfire-charcoal">
      {media.map((mediaItem) => (
        // Wrap MediaCard in a div with flex-shrink-0 to prevent shrinking
        // Set a fixed width for each card in the carousel
        <div key={mediaItem.id} className="flex-shrink-0 w-40 sm:w-48 md:w-56 lg:w-64"> {/* Adjust width as needed */}
          <TiltedCard 
            imageSrc={mediaItem.poster_path}
            captionText={mediaItem.title}
            rating={mediaItem.rating}
            releaseDate={mediaItem.release_date}
          />
        </div>
      ))}
    </div>
  );
};

export default MediaCarousel;
