import React from 'react';
import { FaEdit } from 'react-icons/fa';
import { useNavigate } from 'react-router-dom';

const ProfileHeader = ({ user, isOwnProfile }) => {
  const navigate = useNavigate();

  const handleEditClick = () => {
    navigate('/profile/settings');
  };

  return (
    <div className="relative">
      <div 
        className="relative cursor-pointer group"
        onClick={isOwnProfile ? handleEditClick : undefined}
      >
        <img
          src={user?.avatar || '/default-avatar.png'}
          alt={user?.username}
          className="w-32 h-32 rounded-full object-cover border-4 border-campfire-primary"
        />
        {isOwnProfile && (
          <div className="absolute inset-0 bg-campfire-dark/50 rounded-full opacity-0 group-hover:opacity-100 transition-opacity flex items-center justify-center">
            <FaEdit className="text-campfire-light text-2xl" />
          </div>
        )}
      </div>
      <h1 className="text-3xl font-bold text-campfire-light mt-4">{user?.username}</h1>
      {user?.bio && (
        <p className="text-campfire-light/60 mt-2">{user.bio}</p>
      )}
    </div>
  );
};

export default ProfileHeader; 