/** @type {import('tailwindcss').Config} */
export default {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        'campfire': {
          'primary': '#FF3300',    // Основной оранжевый
          'secondary': '#FF6A00',  // Вторичный оранжевый
          'light': '#FFFFFF',      // Белый
          'dark': '#272727',       // Темно-серый
          'darker': '#151515',     // Очень темный серый
          'amber': '#FF6A00',      // Янтарный (для кнопок и акцентов)
          'ash': '#666666',        // Серый для текста
          'charcoal': '#1A1A1A',   // Угольный для фона
        },
        'status': {
          'success': '#4CAF50',
          'error': '#F44336',
          'warning': '#FFC107',
          'info': '#2196F3',
        }
      },
      animation: {
        'flicker': 'flicker 3s linear infinite',
        'fade-in': 'fadeIn 0.5s ease-in',
        'shimmer': 'shimmer 2s linear infinite',
        'pulse': 'pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite',
      },
      keyframes: {
        flicker: {
          '0%, 100%': { opacity: '1' },
          '50%': { opacity: '0.8' }
        },
        fadeIn: {
          '0%': { opacity: '0' },
          '100%': { opacity: '1' }
        },
        shimmer: {
          '0%': { transform: 'translateX(-100%)' },
          '100%': { transform: 'translateX(100%)' },
        },
        pulse: {
          '0%, 100%': { opacity: '1' },
          '50%': { opacity: '0.5' },
        },
      }
    }
  },
  plugins: [
    require('@tailwindcss/typography'),
    require('@tailwindcss/forms'),
  ],
}
